aboutsummaryrefslogtreecommitdiff
path: root/ftp/pure-ftpd/files
diff options
context:
space:
mode:
authorOliver Lehmann <oliver@FreeBSD.org>2003-06-18 19:01:24 +0000
committerOliver Lehmann <oliver@FreeBSD.org>2003-06-18 19:01:24 +0000
commitd599d49fcbaaa467df278833755d9246edce6719 (patch)
treeb168d29a57749149202d18bc3b46499fd045d84b /ftp/pure-ftpd/files
parent003667a89d2ad0a9ea9195520411573c6f9e57b2 (diff)
Notes
Diffstat (limited to 'ftp/pure-ftpd/files')
-rw-r--r--ftp/pure-ftpd/files/pure-ftpd.sh.sample25
1 files changed, 25 insertions, 0 deletions
diff --git a/ftp/pure-ftpd/files/pure-ftpd.sh.sample b/ftp/pure-ftpd/files/pure-ftpd.sh.sample
new file mode 100644
index 000000000000..ecda1ea1ff62
--- /dev/null
+++ b/ftp/pure-ftpd/files/pure-ftpd.sh.sample
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
+ echo "$0: Cannot determine the PREFIX" >&2
+ exit 1
+fi
+
+
+case "$1" in
+start)
+ [ -r ${PREFIX}/pure-ftpd.conf ] && \
+ ${PREFIX}/sbin/pure-config.pl ${PREFIX}/etc/pure-ftpd.conf > /dev/null && \
+ echo -n ' pure-ftp'
+ ;;
+stop)
+ [ -r /var/run/pure-ftpd.pid ] && \
+ kill `cat /var/run/pure-ftpd.pid` > /dev/null && \
+ echo -n ' pure-ftp'
+ ;;
+*)
+ echo "Usage: `basename $0` {start|stop}" >&2
+ ;;
+esac
+
+exit 0